onerror=function(){return(true)}

var dA=dialogArguments;
var oXml=dA.oXml;
var oFSO=dA.oFSO;
var sUrl=dA.sUrl;
var sHost=dA.sHost;
var sDomain=dA.sDomain;
var sPlugin=dA.sPlugin;
var sInList=sHost;
var sFile=dA.sFile;

dA.oXml=null;
dA.oFSO=null;


//load proxyconfig.xml;

oXml.async = false;
oXml.load(sFile);


function showSetting(){

	var nTorID=0;
	var oProxyList=oXml.getElementsByTagName('proxylist')[0];
	var oProxy=oProxyList.childNodes;
	if(oProxy){
		var nProxy=oProxy.length;
		for(var i=0; i<nProxy; i++){
			if(oProxy[i].getAttribute('address').search(/(localhost|127.0.0.1):9050/i)=='0'){
				nTorID=oProxy[i].getAttribute('id');
				break;
			}
		}
	}
	var oProfile;
	for(var i=0; i<oXml.getElementsByTagName('profile').length; i++){
		if(oXml.getElementsByTagName('profile')[i].getAttribute('name')=='maxthon'){
			oProfile=oXml.getElementsByTagName('profile')[i];
		}
	}
	var oWebsites=oProfile.childNodes;
	if(oWebsites.length){
		for(var i=0; i<oWebsites.length; i++){
			if(oWebsites[i].getAttribute('urlpattern')==sHost&&oWebsites[i].firstChild.getAttribute('id')==nTorID){
				document.getElementById('msg').innerText=dA.getStr('11').replace('%host', '"'+sHost+'"');
				disableOption(1);
				break;
			}
			else if(oWebsites[i].getAttribute('urlpattern')==sDomain&&oWebsites[i].firstChild.getAttribute('id')==nTorID){
				document.getElementById('msg').innerText=dA.getStr('11').replace('%host', '"'+sDomain+'"');
				disableOption(2);
				break;
			}
		}
	}
	if(readIni('ReLoad')==1){
		document.getElementById('reload').checked=true;
	}
}
function disableOption(x){
	if(x==2){
		document.getElementById('host').disabled=true;
		document.getElementById('host').nextSibling.disabled=true;
		document.getElementById('host').checked=false;
		document.getElementById('domain').checked=true;
	}
	else{
		document.getElementById('domain').disabled=true;
		document.getElementById('domain').nextSibling.disabled=true;
	}
}
function ok(){

	//find proxy id for Tor/add Tor to proxy;

	var nTorID=0;
	var oProxyList=oXml.getElementsByTagName('proxylist')[0];
	var oProxy=oProxyList.childNodes;

	if(oProxy){
		var nProxy=oProxy.length;
		var bHasTor=false;
		for(var i=0; i<nProxy; i++){
			if(oProxy[i].getAttribute('address').search(/(localhost|127.0.0.1):9050/i)=='0'){
				nTorID=oProxy[i].getAttribute('id');
				bHasTor=true;
				break;
			}
		}
		if(!bHasTor){
			var nID=1;
			while(!nTorID){
				bIdUsed=false;
				for(var i=0; i<nProxy; i++){
					if(oProxy[i].getAttribute('id')==nID){
						bIdUsed=true;
						break;
					}
				}
				if(bIdUsed){
					nID++;
				}
				else{
					nTorID=nID;
					break;
				}
			}
			oProxyList.insertBefore(oXml.createElement("proxy"), oProxy[0]);
			oProxy[0].setAttribute('name', 'Tor');
			oProxy[0].setAttribute('address', 'localhost:9050');
			oProxy[0].setAttribute('type', '2');
			oProxy[0].setAttribute('id', nTorID);
		}
	}
	else{
		nTorID=1;
		oProxyList.insertBefore(oXml.createElement("proxy"));
		oProxy[0].setAttribute('name', 'Tor');
		oProxy[0].setAttribute('address', 'localhost:9050');
		oProxy[0].setAttribute('type', '2');
		oProxy[0].setAttribute('id', nTorID);
	}

	//remove current site from Tor if it already uses Tor;

	var oProfile;
	for(var i=0; i<oXml.getElementsByTagName('profile').length; i++){
		if(oXml.getElementsByTagName('profile')[i].getAttribute('name')=='maxthon'){
			oProfile=oXml.getElementsByTagName('profile')[i];
		}
	}
	var oWebsites=oProfile.childNodes;
	var bAlreadyTor=false;
	if(oWebsites.length){
		for(var i=0; i<oWebsites.length; i++){
			if(oWebsites[i].getAttribute('urlpattern')==sHost&&oWebsites[i].firstChild.getAttribute('id')==nTorID){
				oProfile.removeChild(oWebsites[i]);
				bAlreadyTor=true;
				break;
			}
			else if(oWebsites[i].getAttribute('urlpattern')==sDomain&&oWebsites[i].firstChild.getAttribute('id')==nTorID){
				oProfile.removeChild(oWebsites[i]);
				bAlreadyTor=true;
				break;
			}
		}
	}


	//set current site to use Tor if it is not;

	if(!bAlreadyTor){
		if(oWebsites.length){
			if(document.getElementById('domain').checked) sHost=sDomain;
			bHasSite=false;
			for(var i=0; i<oWebsites.length; i++){
				if(oWebsites[i].getAttribute('urlpattern')==sHost){
					oWebsites[i].setAttribute('name', sHost);
					oWebsites[i].setAttribute('urlpattern', sHost);
					oWebsites[i].setAttribute('enable', '1');
					oWebsites[i].setAttribute('method', '');
					oWebsites[i].setAttribute('mode', '0');
					oWebsites[i].firstChild.setAttribute('id', nTorID);
					bHasSite=true;
					break;
				}
			}
			if(!bHasSite){
				oProfile.insertBefore(oXml.createElement('websites'), oWebsites[0]);
				oWebsites[0].setAttribute('name', sHost);
				oWebsites[0].setAttribute('urlpattern', sHost);
				oWebsites[0].setAttribute('enable', '1');
				oWebsites[0].setAttribute('method', '');
				oWebsites[0].setAttribute('mode', '0');
				oWebsites[0].appendChild(oXml.createElement('proxy'));
				oWebsites[0].firstChild.setAttribute('id', nTorID);
			}
		}
		else{
			oProfile.appendChild(oXml.createElement('websites'));
			oWebsites[0].setAttribute('name', sHost);
			oWebsites[0].setAttribute('urlpattern', sHost);
			oWebsites[0].setAttribute('enable', '1');
			oWebsites[0].setAttribute('method', '');
			oWebsites[0].setAttribute('mode', '0');
			oWebsites[0].appendChild(oXml.createElement('proxy'));
			oWebsites[0].firstChild.setAttribute('id', nTorID);
		}
	}


	//save proxyconfig.xml;

	oXml.save(sFile);

	dA.reloadProxy(max_security_id);

	if(readIni('ReLoad')==1){
		dA.location.reload();
	}
	window.close();
}
function readIni(x){
	return(dA.readIni(max_security_id, x));
}
function writeIni(x,y){
	dA.writeIni(max_security_id, x, y);
}
function window.onunload(){
	dA.oDlgMT=null;
}
function document.onkeydown(){
	if(event.keyCode==27) window.close();
}
